@import url('https://fonts.googleapis.com/css2?family=Source+Sans+3:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900;&display=swap');


*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Source Sana 3', sans-serif;
    text-decoration: none;
}

header{
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background: white;
}

/*Header superior*/

.header_superior{
    max-width: 1200px;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px;    
}

.logo img{
    width: 80px;
}

/* Barra Menu*/

.contanedor_menu{
    width: 100%;
    height: 100px;
    background: #023877;
    padding: 0px 20px;
}
label{
    display: flex;
}


.menu{
    max-width: 1200px;
    margin: auto;
    height: 100%;
}

nav{
    height: 100%;
}
nav > ul{
    height: 100%;
    display: flex;
}

nav ul li{
    height: 100%;
    list-style: none;
    position: relative;
}

nav > ul > li:first-child > a{
    background-image: url(../imagenes/casa.png);
    background-size: 24px;
    background-repeat: no-repeat;
    background-position: center center;
    padding: 20px 40px;
}

nav > ul > li:first-child:hover > a{
    background-image: url(../imagenes/casa.png);
    background-size: 24px;
    background-repeat: no-repeat;
    background-position: center center;
}

nav > ul > li > a{
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    padding: 14px;
    color: white;
    text-transform: uppercase;
    font-size: 14px;
    transition: all 300ms ease;
}

nav > ul > li > a:hover{
    transform: scale(1.1);
    background: #0074c7;
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
}

#selected{
    transform: scale(1.1);
    background-color: #0074c7;
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
}


      /*Submenu*/

nav ul li ul{
    width: 200px;
    display: flex;
    flex-direction: column;
    background: #fff;
    position: absolute;
    top: 90px;
    left: -5px;
    padding: 14px 0px;
    visibility: hidden;
    opacity: 0;
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    z-index: 10;
    transition: all 300ms ease;
}

nav ul li:hover ul{
    visibility: visible;
    opacity: 1;
    top: 70px;
}

nav ul li ul:before{
    content: '';
    width: 0;
    height: 0;
    border-left: 12px solid transparent;
    border-right: 12px solid transparent;
    border-bottom: 12px solid white;
    position: absolute;
    top: -12px;
    left: 20px;
}

nav ul li ul li a{
    display: block;
    color: #0099e9;
    padding: 6px;
    padding-left: 14px;
    margin-top: 10px;
    font-size: 14px;
    text-transform: uppercase;
    transition: all 300ms ease;
}

nav ul li ul li a:hover{
    background: #0074c7;
    color: #fff;
    transform: scale(1.1);
    padding-left: 30px;
    font-size: 14px;
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
}

iframe{
    width: 100%;
    border: none;
    height: 100vh;    
}

footer{
    width: 70%;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
}

/*Elementos resposis*/

.icon_menu{
    width: 50px;
    cursor: pointer;
    display: flex;
    align-items: center;
    display: none;

}




#check_menu{
    display: none;
}

.logo_menu{
    display: flex;
    display: none;

}

.titulo_menu{
    color: white;
    display: none;
}

@media screen and (max-width: 1200px) {
    .header_superior{
        display: none;
    }

    .logo_menu{
        width: 40px;
        float: left;
        display: block;
    }
	
	.menu {
		height: 100vh;
	}


    nav > ul{
        flex-direction: column;
        background-color: #023877;
        position: fixed;
        left: 0;
        top: 70px;
        width: 100%;
        height: 100%;
        transition: all 300ms ease;
        z-index: 100;
        opacity: 0;
        visibility: hidden;
    }

    nav > ul > li > a:hover{
        transform: scale(1);
    }

    nav ul li ul{
        left: 90px;
    }

    nav > ul > li:hover ul{
        top: 50px;
    }

    nav > ul > li:first-child a{
        background-position: 20px;
    }
    
    #selected{
        transform: scale(1);
    }

    #label_check{
        display: block;
    }

    .icon_menu{
        display: block;
        margin-top: 20px;
        *position: absolute;
        *position: relative;
        padding-left: 20px;
        *float: right;
        
    }

    .logo_menu{
        float: right;
        *float: left;
        margin-top: -35px;
    }

    #check_menu:checked ~ nav > ul{
        height: 400px;
        visibility: visible;
        opacity: 1;
    }

    .titulo_menu{
        display: block;   
    }

    .texto_mv{
        text-align: center;
        margin-top: -30px;
    }

}